
if(NOT MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -w")
endif()

add_library(
	lodepng
		lodepng.cpp
)

target_include_directories(
	lodepng PUBLIC SYSTEM
		include
)

install(
	TARGETS
		lodepng
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)
